%global __requires_exclude lib.*gio|lib.*glib

Name:		gio-sharp
Version:	2.22.3
Release:	%mkrel 13
License:	GPLv2 and MIT
Group:		Development/Other
Summary:	.NET/C# Bindings for GIO
Url:		http://gitorious.org/gio-sharp
Source:		https://github.com/downloads/mono/%{name}/%{name}-%{version}.tar.bz2
BuildArch:	noarch
BuildRequires:	glib2-devel >= 2.22
BuildRequires:	glib-sharp2
BuildRequires:	pkgconfig(gapi-2.0)
BuildRequires:	pkgconfig(mono)
Requires:	glib2 > 2.22
#gw strictly speaking, it needs libgio:
Requires:	gvfs

%description
C#/CLI bindings for GIO.

%package devel
Group:		Development/Other
Summary:	.NET/C# Bindings for GIO
Requires:	%{name} = %{version}

%description devel
Files for developing programs that use gio-sharp.

%prep
%setup -q
sed -i "s#gmcs#mcs#g" configure.ac

%build
autoreconf -vfi

%configure --libdir=%{_prefix}/lib
make

%install
%make_install pkgconfigdir=%{_datadir}/pkgconfig

%files
%doc AUTHORS
%dir %{_prefix}/lib/gio-sharp/
%{_prefix}/lib/gio-sharp/gio-sharp.dll*

%files devel
%{_datadir}/pkgconfig/gio-sharp-2.0.pc
%dir %{_datadir}/gapi-2.0/
%{_datadir}/gapi-2.0/gio-api.xml




%changelog
* Fri Jun 27 2025 umeabot <umeabot> 2.22.3-13.mga10
+ Revision: 2213470
- Mageia 10 Mass Rebuild

* Fri Apr 01 2022 umeabot <umeabot> 2.22.3-12.mga9
+ Revision: 1838816
- Mageia 9 Mass Rebuild

* Mon Sep 21 2020 tv <tv> 2.22.3-11.mga8
+ Revision: 1629214
- rebuild mono fixed mono for proper mono provides & requires...

* Sun Sep 20 2020 tv <tv> 2.22.3-10.mga8
+ Revision: 1628984
- rebuild for new mono

* Tue Feb 11 2020 umeabot <umeabot> 2.22.3-9.mga8
+ Revision: 1489617
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x
- replace deprecated %%makeinstall_std

* Tue Sep 18 2018 umeabot <umeabot> 2.22.3-8.mga7
+ Revision: 1260950
- Mageia 7 Mass Rebuild
- Mageia 6 Mass Rebuild

* Thu Dec 03 2015 tv <tv> 2.22.3-6.mga6
+ Revision: 907895
- frop BR on monodoc
- fix finding mono4 compiler

* Wed Oct 15 2014 umeabot <umeabot> 2.22.3-5.mga5
+ Revision: 747119
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.22.3-4.mga5
+ Revision: 679586
- Mageia 5 Mass Rebuild
+ tv <tv>
- use %%global for req/prov exclude
- autoconvert to new prov/req excludes

* Fri Oct 18 2013 umeabot <umeabot> 2.22.3-3.mga4
+ Revision: 504816
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 2.22.3-2.mga3
+ Revision: 351568
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Dec 02 2011 wally <wally> 2.22.3-1.mga2
+ Revision: 175154
- disable parallel build
- new version 2.22.3
- clean .spec

* Thu Mar 24 2011 boklm <boklm> 2.22-0.2.mga1
+ Revision: 76142
- rebuild for bug #497

* Tue Mar 15 2011 ennael <ennael> 2.22-0.1.mga1
+ Revision: 71943
- imported package gio-sharp


* Sat Aug 07 2010 Götz Waschk <waschk@mandriva.org> 2.22-0.1mdv2011.0
+ Revision: 567377
- import gio-sharp


